package cn.timer.api.dao.insure;

import cn.timer.api.bean.insure.InsureLog;
import cn.timer.api.dto.insure.PolicyLogDto;
import cn.timer.api.utils.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-22 09:55:46
 */

@Repository
public interface InsureLogMapper extends BaseMapper<InsureLog> {
    List<InsureLog> selectListById(@Param("policyId")String policyId);
    List<InsureLog> selectListByIds(@Param("array")Integer[] ids);
    List<PolicyLogDto> selectLogListByOrgCode(@Param("orgCode") Integer orgCode, @Param("page") Page page);
    Integer selectLogTotalByOrgCode(@Param("orgCode") Integer orgCode);

}
