package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 其他信息
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ElseInfo implements Serializable {
    private String self_evaluation; //  个人评价
    private String skills; //  技能：掌握技能列表，用竖线分隔
    private String honor; //  所获奖项：用竖线分隔
    private String lang; //  外语：掌握外语水平，用竖线分隔
    private String lang_level; //  外语水平,格式为 语言-水平:分数，如 英语-CET4:502,英语-雅思:6.5，用竖线分隔
    private String certificate; //  获得证书，用竖线分隔
}
