package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 简历摘录
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResumeExtract implements Serializable {

    private BasicInfo basic_infos;
    private List<EducationInfo> education_infos;
    private ElseInfo else_infos;
    private List<ProjectInfo> project_infos;
    private List<WorkInfo> work_infos;

}
