package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 语言证书列表
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Cert_objs implements Serializable {
    /**
     * 语言名称
     */
    private String langcert_lang;
    /**
     * 证书名称
     */
    private String langcert_name;
    /**
     * 证书成绩
     */
    private String langcert_score;
}
