package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 教育经历
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Education_objs implements Serializable {
    /**
     * 学校名称
     */
    private String edu_college;
    /**
     * 专业名称
     */
    private String edu_major;
    /**
     * 开始时间
     */
    private String start_date;
    /**
     * 结束时间
     */
    private String end_date;
    /**
     * 学历
     */
    private String edu_degree;
    /**
     * 学历:小学、初中、高中、中专、大专、本科、硕士研究生、博士研究生、博士后、mba
     */
    private String edu_degree_norm;
    /**
     * 学校排名:取值1~1000
     */
    private String edu_college_rank;
    /**
     * 学校类型取值0~7：
     * 0:普通院校
     * 1:985
     * 2:211
     * 3:港澳台院校
     * 4:海外院校
     * 5:中学
     * 6:职业教育
     * 7:培训机构
     */
    private String edu_college_type;

}
