package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Status implements Serializable {
    /**
     * 200	正常状态，表示解析成功
     * 250	账号(uid)或密码(pwd)错误
     * 251	账号剩余用量为0（需及时充值）
     * 260	请求参数错误
     * 261	简历内容为空
     * 262	简历内容过长
     * 263	不支持的简历文件格式
     * 264	base64解码出错
     * 265	图片文件过大，或者长宽大小超过限制
     * 266	输入参数file_name缺少文件后缀名（请带上正确的文件后缀，如果是纯文本则为.txt）
     * 267	输入的json结构体有误（即解码失败）
     * 240	简历解析内部错误
     * 280	人岗匹配内部错误
     */
    private int code;
    /**
     * 200	正常状态，表示解析成功
     * 250	账号(uid)或密码(pwd)错误
     * 251	账号剩余用量为0（需及时充值）
     * 260	请求参数错误
     * 261	简历内容为空
     * 262	简历内容过长
     * 263	不支持的简历文件格式
     * 264	base64解码出错
     * 265	图片文件过大，或者长宽大小超过限制
     * 266	输入参数file_name缺少文件后缀名（请带上正确的文件后缀，如果是纯文本则为.txt）
     * 267	输入的json结构体有误（即解码失败）
     * 240	简历解析内部错误
     * 280	人岗匹配内部错误
     */
    private String message;
}
