package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class YgzzDto implements Serializable{

	private static final long serialVersionUID = -4358081686220759754L;

	@ApiModelProperty(value="工号",example="9527")
	private Integer empNum;

	@ApiModelProperty(value="企业id",example="12")
	private Integer orgCode;

	@ApiModelProperty(value="应转正时间",example="1999-12-03")
	private Date zzTime;

	@ApiModelProperty(value="实际转正时间",example="2019-12-03")
	private Date sjzzTime;

	@ApiModelProperty(value="转正原因",example="有梦想")
	private String zzRemark;

	@ApiModelProperty(value="岗位",example="有梦想")
	private Integer bmgwId;
}
