package cn.timer.api.dto.zpgl;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-3-22 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZpglZwxxDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946171911L;

	/**
	 * 职位信息Id
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "职位信息Id")
	private Integer id;

	/**
	 * 状态 1:招聘中 2:停止招聘
	 */
	@ApiModelProperty(value = "状态 1:招聘中 2:停止招聘")
	private Integer status;

	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;


}
