package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UpEmpDeptDto implements Serializable{

	private static final long serialVersionUID = -5288746065315147161L;

	@ApiModelProperty(value="部门岗位id",example="1")
	private Integer dpetId;

	@ApiModelProperty(value="部门",example="'部门'")
	private String dept;

	@ApiModelProperty(value="'职位'",example="''职位''")
	private String post;

	@ApiModelProperty(value="员工工号",example="2")
	private List<Integer> empNum;

	@ApiModelProperty(value="是否调岗",example="1")
	private Integer isdg;

	@ApiModelProperty(value="备注",example="1")
	private String remake;

	@ApiModelProperty(value="合同公司id",example="1")
	private Integer zpglCompanyId;

	@ApiModelProperty(value="工作地点id",example="1")
	private Integer zpglGzddId;

	@ApiModelProperty(value="原职级id",example="1")
	private Integer zpglZjId;


}
