package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 教育信息
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EducationInfo implements Serializable {
    private String school; //  学校
    private String college; //  学院
    private String major; //  专业
    private String schooling_record; //  学历，输出统一为：博士研究生/硕士研究生/本科/专科/高中/中专/初中
    private String degree; //  学位，输出统一为:博士/硕士/学士
    private String start_time; //  开始年份-月份，若只有年则只输出年。如2019-10或2019
    private String end_time; //  结束年份-月份，若只有年则只输出年。如2019-10或2019
    private String is_in; //  是否仍在校：1表示在，0表示不在
    private String gpa; //  Gpa
    private String rank; //  排名
}
