package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 项目信息
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectInfo implements Serializable {
    private String project_name; //  项目名称
    private String job; //  项目角色：职位名称/职位名
    private String describe; //  工作描述：项目详情介绍
    private String duty; //  个人在该项目负责的具体工作详情
    private String location; //  项目地点城市或区域
    private String start_time; //  开始年份-月份，若只有年则只输出年。如2019-10或2019
    private String end_time; //  结束年份-月份，若只有年则只输出年。如2019-10或2019
    private String is_in; //  是否仍在：1表示在，0表示不在
}
