package cn.timer.api.dto.email;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-4-13 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SendMessageDto implements Serializable {

	private static final long serialVersionUID = -1599962875587367209L;
	
	@ApiModelProperty(value = "创建id")
	private Integer createdUser;
	
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	
	@ApiModelProperty(value = "邮件主题")
	private String subject;

	@ApiModelProperty(value = "邮件内容")
	private String content;
	
	@ApiModelProperty(value = "收件人邮箱")
	private String receiverEmail;

	@ApiModelProperty(value = "发件人邮箱")
	private String senderEmail;
	
}
