package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 语言技能
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Lang_objs implements Serializable {
    /**
     * 语言名称
     */
    private String language_name;
    /**
     * 熟练程度
     */
    private String language_level;
    /**
     * 读写能力
     */
    private String language_read_write;
    /**
     * 听说能力
     */
    private String language_listen_speak;

}
