package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 项目经历
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Proj_exp_objs implements Serializable {
    /**
     * 开始时间
     */
    private String start_date;
    /**
     * 结束时间
     */
    private String end_date;
    /**
     * 项目名称
     */
    private String proj_name;
    /**
     * 所在公司
     */
    private String proj_cpy;
    /**
     * 担任职位
     */
    private String proj_position;
    /**
     * 项目内容
     */
    private String proj_content;
    /**
     * 项目职责
     */
    private String proj_resp;

}
