package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 技能列表
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Skills_objs implements Serializable {

    /**
     * 熟练程度
     */
    private String skills_level;
    /**
     * 技能名称
     * 技能名词，比如“java开发”、“市场调研”等
     */
    private String skills_name;
    /**
     * 技能使用时间 时长
     */
    private String skills_time;

}
