package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 培训经历
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Training_objs implements Serializable {

    /**
     * 培训机构 机构名称
     */
    private String train_org;
    /**
     * 培训内容
     * 内容描述
     */
    private String train_cont;
    /**
     * 开始时间 比如“2019.09.01”、“2019.09”、“2019”
     */
    private String start_date;
    /**
     * 结束时间 比如“2019.09.01”、“2019.09”、“2019”、“至今”
     */
    private String end_date;
    /**
     * 培训地点
     */
    private String train_loc;
    /**
     * 所获证书
     */
    private String train_cert;

}
