package cn.timer.api.dto.template;

import cn.timer.api.dto.wxgzh.MessageQueueDto;
import cn.timer.api.utils.DateFormatUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/18
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InterviewNotice extends MessageQueueDto {

    /**
     * 通知人，操作者
     */
    private String NoticeName;
    /**
     * 面试者名字
     */
    private String name;
    /**
     * 职位名称
     */
    private String zpglZwxxName;
    /**
     * 面试时间
     */
    private String interviewTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 内容
     */
    private String contentStr;

    /**
     * 通知内容
     */
    private String contentNotice;
    /**
     * 当前时间
     */
    private String nowTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());

    public void setInterviewTime(Date interviewTime){
        this.interviewTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(interviewTime);
    }

}
