package cn.timer.api.dto.template;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 	跳小程序所需数据
 * @author longys
 * @date 2022/3/23 15:48
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Miniprogram implements Serializable {
    /**
     *所需跳转到的小程序appid（该小程序appid必须与发模板消息的公众号是绑定关联关系)
     */
    private String appid;
    /**
     * 所需跳转到小程序的具体页面路径，支持带参数,（示例index?foo=bar），要求该小程序已发布
     */
    private String pagepath;
}
