package cn.timer.api.dto.yggl;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HtgkDto implements Serializable{

	private static final long serialVersionUID = -4358081686220759754L;

	@ApiModelProperty(value="已签订",example="1")
	private Integer signCount;

	@ApiModelProperty(value="在职员工",example="12")
	private Integer probation;

	@ApiModelProperty(value="合同即将到期人数",example="12")
	private Integer dueSoon;

	@ApiModelProperty(value="合同签约公司",example="合同签约公司")
	private String companyName;

	@ApiModelProperty(value="id",example="合同签约公司")
	private Integer id;
	private String userName;
	private String	headUrl;
	private String deptName;
	private Integer jobType;
	private String htId;
	private Integer type;
	private Integer status;
	private Integer htqx;
	private Date statTime;
	private Date endTime;
	private Integer empNum;
}
